# MongoCommandCursor::batchSize

(PECL mongo >=1.5.0)

MongoCommandCursor::batchSize — Limits the number of elements returned in one batch

### Description

public MongoCommandCursor::batchSize ( int `$batchSize` ) : MongoCommandCursor

A cursor typically fetches a batch of result objects and store them locally. This method sets the batchSize value to configure the amount of documents retrieved from the server in one round trip.

### Parameters

`batchSize`

  The number of results to return per batch. Each batch requires a round-trip to the server.

  This cannot override MongoDB's limit on the amount of data it will return to the client (i.e., if you set batch size to 1,000,000,000, MongoDB will still only return 4-16MB of results per batch).

### Return Values

Returns this cursor.

### Examples

Example #1 MongoCommandCursor::batchSize()

`<?php
$commandCursor->batchSize(20);
?>`

### See Also

- MongoCursorInterface::batchSize() - Limits the number of elements returned in one batch